<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작성날짜 : 2016년 05월 24일 화요일 오전 04시 07분 - 날씨 비옴

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 관리자 > 피리 기본 관리 > 최고 회원 레벨
=====================================================================

*/

  IF ( !defined('_GNUBOARD_') )                              EXIT;

      IF ( !isset($config['cf_mem_reload_minute_n']) )
      {
          $sql = "ALTER TABLE `". $g5['config_table'] ."` ADD `cf_mem_reload_minute_n` INT(11) NOT NULL DEFAULT '0'";
          sql_query($sql, false);
      }

      $sql_config_arr = array();

      IF ( $cf_add__sh_url == 1 )
      {

          IF ( !isset($config['cf_sh_url_domain_s']) )
          {
              $sql = "ALTER TABLE `". $g5['config_table'] ."` ADD `cf_sh_url_domain_s` VARCHAR(255) NOT NULL DEFAULT ''";
              sql_query($sql, false);
          }

      }

      IF ( $cf_add__level_check_hour == 1 )
      {

          IF ( !isset($config['cf_level_check_hour_n']) )
          {
              $sql = "ALTER TABLE `". $g5['config_table'] ."` ADD `cf_level_check_hour_n` INT(11) NOT NULL DEFAULT '0'";
              sql_query($sql, false);
          }

          IF ( $level_check_hour_n != $config['cf_level_check_hour_n'] )
          {

              $sql_config_arr[] = "`cf_level_check_hour_n` = '". $level_check_hour_n ."'";

          }

      }

      IF ( $cf_add__770006_report == 1 )
      {

          IF ( !isset($config['cf_report_v']) )
          {
              $sql = "ALTER TABLE `". $g5['config_table'] ."` ADD `cf_report_v` VARCHAR(255) NOT NULL DEFAULT ''";
              sql_query($sql, false);
          }

          IF ( $p770006__config_s )
          {

              $sql_config_arr[] = "`cf_report_v` = '". $p770006__config_s ."'";

          }

      }

      FOR ( $i=21; $i<101; $i++ )
      {

          $fd_this_s = "pgs_cf_". $i ."_s";

          $sql = "ALTER TABLE `". $piree['program_sam'] ."` DROP `". $fd_this_s ."`";
          sql_query($sql, false);
      }

      FOR ( $i=6; $i<11; $i++ )
      {

          $fd_this_s = "pgs_lpe_". $i;

          $sql = "ALTER TABLE `". $piree['program_sam'] ."` DROP `". $fd_this_s ."`";
          sql_query($sql, false);
      }

      FOR ( $i=81; $i<120; $i++ )
      {

          $fd_this_s = "pgs_cf_". $i ."_n";

          $sql = "ALTER TABLE `". $piree['program_sam'] ."` DROP `". $fd_this_s ."`";
          sql_query($sql, false);
      }

      FOR ( $i=61; $i<81; $i++ )
      {

          $fd_before_n = $i-1;

          $fd_before_s = "pgs_cf_". $fd_before_n ."_n";

          $fd_this_s = "pgs_cf_". $i ."_n";

          $sql = "ALTER TABLE `". $piree['program_sam'] ."` ADD `". $fd_this_s ."` INT NOT NULL DEFAULT '0' AFTER `". $fd_before_s ."`";
          sql_query($sql, false);

/*

          $sql = "ALTER TABLE `". $piree['program_sam'] ."` DROP `". $fd_this_s ."`";
          sql_query($sql, false);

          $sql = "ALTER TABLE `". $piree['program_sam'] ."` ADD `". $fd_this_s ."` INT NOT NULL DEFAULT '0' AFTER `". $fd_before_s ."`";
          sql_query($sql, false);

*/

      }

  IF ( count($sql_config_arr) > 0 )
  {

      $sql_config_s = implode(', ', $sql_config_arr);

      $sql  = "UPDATE `". $g5['config_table'] ."` SET ";
      $sql .= $sql_config_s;

      IF ( !sql_query($sql) )
      {

          alert("[사이트 설정\"을 수정하지 못했습니다.");
          EXIT;
      }

  }

?>